Subject: bug#53989: closed (Re: bug#53989: 29.0.50; Gnus searches broken)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 19 Feb 2022 01:30:03 +0000

Your bug report

#53989: 29.0.50; Gnus searches broken

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53989: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53989
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#53989: 29.0.50; Gnus searches broken
From: Michael Heerdegen <[email-masked]>
To: Eric Abrahamsen <[email-masked]>
Cc: [email-masked]
Date: Sat, 19 Feb 2022 02:29:44 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Eric Abrahamsen <[email-masked]> writes:

> > So we are done here, right?
>
> We are! I hereby certify this area of the code bug-free, guaranteed for
> ten years.

Very cool!  I hope I don't have to make use of the guarantee, but it's
good to have it.

So - thanks for fixing!

Michael.

Subject: 29.0.50; Gnus searches broken
From: Michael Heerdegen <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 14 Feb 2022 04:37:28 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

G g in Gnus only gives me search groups containing no messages.  I have
verified that matches are collected successfully, but they are not
processed correctly.

When I load the gnus-search.el version of the parent commit of

| e7f6bb38dd Rework gnus-search-indexed-parse-output
| Eric Abrahamsen <[email-masked]> Sat Jun 26 10:16:19 2021 -0700

searching works again.  When I load the version of the commit, it's
broken.  So with my setup that commit seems to have broken something.

What could be the problem?

TIA,

Michael.

In GNU Emacs 29.0.50 (build 17, x86_64-pc-linux-gnu, GTK+ Version 3.24.24, cairo version 1.16.0)
 of 2022-02-14 built on drachen
Repository revision: f2dae7e79c37a94069245319166b9e4193f2ccf7
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12011000
System Description: Debian GNU/Linux 11 (bullseye)